// ConvImgCpcDlg.h : header file
//

#if !defined(AFX_CONVIMGCPCDLG_H__9E0860BE_A759_4236_AACD_EEDE06A7A576__INCLUDED_)
#define AFX_CONVIMGCPCDLG_H__9E0860BE_A759_4236_AACD_EEDE06A7A576__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include  "Picture.h"


/////////////////////////////////////////////////////////////////////////////
// CConvImgCpcDlg dialog

class CConvImgCpcDlg : public CDialog
{
// Construction
public:
    CConvImgCpcDlg( CWnd * pParent = NULL );
    ~CConvImgCpcDlg( void );
    char * CConvImgCpcDlg::OpenNewFile( char * Filtre
                                      , char * Ext
                                      , char * Dir
                                      , BOOL Save
                                      );
    BOOL InitBitmap( BOOL Affiche );

// Dialog Data
    //{{AFX_DATA(CConvImgCpcDlg)
    enum { IDD = IDD_CONVIMGCPC_DIALOG };
    CButton     m_LockCol[ 16 ];
    CStatic     m_Col[ 16 ];
    CButton     m_BpSauve;
    CButton     m_BpLire;
    CButton     m_BpAffiche;
    CButton     m_BpCalcule;
    CEdit       m_Gamma;
    CButton     m_Mode2;
    CButton     m_Mode1;
    CButton     m_Mode0;
    CButton     m_Corr2;
    CButton     m_Corr1;
    CListBox    m_Liste;
    //}}AFX_DATA

    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CConvImgCpcDlg)
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL
    void BpOff( void );
    void BpOn( void );
    void AffichePalette( void );

// Implementation
protected:
    HICON m_hIcon;

    // Generated message map functions
    //{{AFX_MSG(CConvImgCpcDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void OnCalcule();
    afx_msg void OnLire();
    afx_msg void OnAffiche();
    virtual void OnOK();
    afx_msg void OnSauve();
    afx_msg void OnCol00();
    afx_msg void OnCol01();
    afx_msg void OnCol02();
    afx_msg void OnCol03();
    afx_msg void OnCol04();
    afx_msg void OnCol05();
    afx_msg void OnCol06();
    afx_msg void OnCol07();
    afx_msg void OnCol08();
    afx_msg void OnCol09();
    afx_msg void OnCol10();
    afx_msg void OnCol11();
    afx_msg void OnCol12();
    afx_msg void OnCol13();
    afx_msg void OnCol14();
    afx_msg void OnCol15();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
    void ClickCol( int NumCol );

private :
    HDC DcBitmap;
    HBITMAP bm;
    void * MemBitmap;
    CPicture Picture;
    int ModeCPC, PalCPC[ 16 ], BlockPal[ 16 ];
    BOOL ImageLue, ImageCalculee;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVIMGCPCDLG_H__9E0860BE_A759_4236_AACD_EEDE06A7A576__INCLUDED_)
